#ifndef DATAALGORITHM_INTERFACE
#define DATAALGORITHM_INTERFACE
#include <QString>

class DataAlgorithmInterface{

public:
    virtual QString getArticleID() = 0;
    virtual QString getKeywordID() = 0;
    virtual QString getPlatformName() = 0;
    virtual QString getPlatformForm() = 0;
    virtual QString getArticleForm() = 0;
    virtual QString getArticleNickname() = 0;
    virtual QString getArticleDate() = 0;
    virtual QString getArticleTitle() = 0;
    virtual QString getArticleData() = 0;
    virtual QString getArticleUrl() = 0;
    virtual QString getArticleParent() = 0;
    virtual QString getArticleOrder() = 0;
    virtual QString getReplyUrl() = 0;
    virtual QString getArticleHit() = 0;
    virtual QString getArticleProfileUrl() = 0;
    virtual QString getArticleProfile() = 0;
    virtual QString getEtc() = 0;
    virtual QString getPlatformTitle() = 0;
    virtual QString getPlatformID() = 0;
    virtual void next() = 0;
    virtual bool hasNext() = 0;
    virtual int currentIndex() = 0;
    virtual void seek(int n) = 0;
    virtual int length() = 0;
    virtual void reset() = 0;
    virtual void moveFirst() = 0;
    virtual void moveLast() = 0;

public:
    enum E_DATA
    {
        E_DATA_platform_title = 0,
        E_DATA_article_form,
        E_DATA_article_parent,
        E_DATA_article_id,
        E_DATA_article_nickname,
        E_DATA_article_title,
        E_DATA_article_data,
        E_DATA_article_url,
        E_DATA_article_hit,
        E_DATA_article_date,
        E_DATA_article_order,
        E_DATA_platform_id,
        E_DATA_platform_name,
        E_DATA_platform_form,
        E_DATA_reply_url,
        E_DATA_keyword_id,
        E_DATA_article_profileurl,
        E_DATA_article_profile,
        E_DATA_etc,
        E_DATA_MAX,
    };


};


#endif // DATAALGORITHM_INTERFACE
